Billing
Get billing usage
Returns sandbox usage history for the org.
GET
/projects/{projectId}/billing/usageHTTP client
Set up your HTTP client with the auth header before calling the API. Match the authentication type shown above.
const BASE_URL = 'https://api.mudbase.dev/api/sandboxes';
const HEADERS = {
'x-api-key': 'sk_YOUR_API_KEY',
'Content-Type': 'application/json',
};const BASE_URL = 'https://api.mudbase.dev/api/sandboxes';
const HEADERS = {
'x-api-key': 'sk_YOUR_API_KEY',
'Content-Type': 'application/json',
};Example request
Call this endpoint using the client from SDK setup. Use View HTTP for a raw cURL example.
const res = await fetch('https://api.mudbase.dev/api/sandboxes/projects/YOUR_PROJECT_ID/billing/usage', {
method: 'GET',
headers: HEADERS,
});
const data = await res.json();const res = await fetch('https://api.mudbase.dev/api/sandboxes/projects/YOUR_PROJECT_ID/billing/usage', {
method: 'GET',
headers: HEADERS,
});
const data = await res.json();Playground
liveTest this endpoint with your own credentials. Your requests will be sent to the live API.
Get your API key from the console
No Request Yet
Send a request to see the full inspector
Authentication
Requires API Key
Note
Include your API key in the
X-API-Key: YOUR_KEY header (server-to-server, SDKs). View authentication guide →Path Parameters
| Name | Type | Required | Description |
|---|---|---|---|
projectId | string | Yes | - |
Query Parameters
| Name | Type | Required | Description |
|---|---|---|---|
months | integer | No | - |
Responses
200Usage history.